.blog-list-img{
    height: 280px !important;
    width: 100% !important;
}

.blog-list-3{
    height: 205px !important;
    width: 360px !important;
}

.blog-card-list{
    margin-top: 65px;
}
.blog-pagination{
    text-align: center;
    margin-top: 10%;
}

.pagination>.active>a, .pagination>.active>a:focus, .pagination>.active>a:hover, .pagination>.active>span, .pagination>.active>span:focus, .pagination>.active>span:hover {
    z-index: 2;
    color: #fff !important;
    cursor: default;
    background-color: #DB5252 !important;
    border-color: #DB5252 !important;
}

.pagination>li>a, .pagination>li>span {
    color: #DB5252 !important;
}


/* Absolute Center Spinner/loader */
.loader {
  position: fixed;
  z-index: 999;
  height: 2em;
  width: 2em;
  overflow: show;
  margin: auto;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
}

/* Transparent Overlay */
.loader:before {
  content: '';
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
    background: radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0, .8));

  background: -webkit-radial-gradient(rgba(20, 20, 20,.8), rgba(0, 0, 0,.8));
}

/* :not(:required) hides these rules from IE9 and below */
.loader:not(:required) {
  /* hide "loader..." text */
  font: 0/0 a;
  color: transparent;
  text-shadow: none;
  background-color: transparent;
  border: 0;
}

.loader:not(:required):after {
  content: '';
  display: block;
  font-size: 10px;
  width: 1em;
  height: 1em;
  margin-top: -0.5em;
  -webkit-animation: spinner 150ms infinite linear;
  -moz-animation: spinner 150ms infinite linear;
  -ms-animation: spinner 150ms infinite linear;
  -o-animation: spinner 150ms infinite linear;
  animation: spinner 150ms infinite linear;
  border-radius: 0.5em;
  -webkit-box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
box-shadow: rgba(255,255,255, 0.75) 1.5em 0 0 0, rgba(255,255,255, 0.75) 1.1em 1.1em 0 0, rgba(255,255,255, 0.75) 0 1.5em 0 0, rgba(255,255,255, 0.75) -1.1em 1.1em 0 0, rgba(255,255,255, 0.75) -1.5em 0 0 0, rgba(255,255,255, 0.75) -1.1em -1.1em 0 0, rgba(255,255,255, 0.75) 0 -1.5em 0 0, rgba(255,255,255, 0.75) 1.1em -1.1em 0 0;
}

/* Animation */

@-webkit-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-moz-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@-o-keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes spinner {
  0% {
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -ms-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    -moz-transform: rotate(360deg);
    -ms-transform: rotate(360deg);
    -o-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

.blog_sidebar_category{
    background-color: #f9f9f9;
    border: 1px solid transparent;
    color: #969595;
    cursor: pointer;
    font-size: 14px;
    padding: 10px 12px;
}

.blog_sidebar_category:hover{
    color: #fff !important;
    font-size: 16px;
    font-weight: 500;
    background-color: #DB5252 !important;
}

.category_divider{
    margin-top: -17px !important;
}

.service-content div {
    height: 60px;
    width: 60px;
    font-size: 30px;
    color: #f1f0f0;
    padding: 15px 0px;
}


.service-content img {
    height: 50px !important;
}

.input-group-text{
    padding: 9px 17px 21px 15px;
    font-size: 1rem;
    background-color: #DB5252;
    border: 1px solid #DB5252;
    border-radius: 0.375rem;
    color: #fff;
}

.title-color{
  color: #DB5252 !important;
}

.btn-modern:hover{
  color: #fff !important;
  background-color: #DB5252;
  border: #DB5252;
}

.portfolio-img{
  height: 250px !important;
}

.figure {
    position: relative;
}

.figcaption {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    opacity: 0; /* Initially hide the figcaption */
    transition: opacity 0.3s ease;
}

.figure:hover .figcaption {
    opacity: 1; /* Show the figcaption on hover */
}

.left-10{
  margin-right: 10px;
}

.home_h1{
  font-size: 32px !important;
}

.portfolio-title{
  color: #323232 !important;
  font-size: 18px;
  font-weight: 700;
  font-family: 'Arial', sans-serif;
  /*text-align: center;*/
  margin-top: 10px;
  margin-bottom: 0;
  text-transform: none !important;
}

.portfolio-title:hover{
  color: #db5252 !important;
}

.list-img{
  border: 2px solid #ccc; 
  border-radius: 10px;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease-in-out;
}

.list-img:hover{
  transform: scale(1.1);
}

.read-more-btn{
  margin-top: 7px !important;
}

.slider-container {
    width: 100%;
    overflow: hidden;
    position: relative;
    border: 2px solid #ddd;
    border-radius: 5px;
}

.slider {
    display: flex;
    transition: transform 0.5s ease-in-out;  
    width: 100%;
}

.slide {
    min-width: 100%;
    box-sizing: border-box;
}

.slider-img {
    width: 100% !important;
    height: auto; 
    flex: 0 0 100%; 
    display: block;
}

.prev, .next {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    cursor: pointer;
    width: auto;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 5px;
    user-select: none;
    z-index: 1; /* Ensure arrows appear above the images */
}


.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

.prev:hover, .next:hover {
    background-color: rgba(0, 0, 0, 0.8);
}

.project-details-div {
    background-color: #f8f8f8;
    padding: 15px;
    border: 1px solid #ddd;
    border-radius: 5px;
    margin-bottom: 20px;
}

.project-details-div h4 {
    font-size: 18px;
    margin-bottom: 10px;
}

.project-details-archives {
    list-style: none;
    padding: 0;
}

.project-details-archives li {
    margin-bottom: 10px;
}

.text-color-primary {
    color: #DB5252;
}

.project-detail,
.project-url {
    font-weight: bold;
}

.skills-list {
    display: flex;
    flex-wrap: wrap;
}

.skill {
    background-color: #DB5252;
    color: #fff;
    padding: 5px 10px;
    margin-right: 5px;
    margin-bottom: 5px;
    border-radius: 3px;
}

.project-url {
    color: #3498db;
    text-decoration: none;
}
.project-url:hover {
    color: #DB5252;
    text-decoration: none;
}

.portfolio_item{
    margin-top:30px !important;
}

.portfolio_desc{
    margin-top: 24px;
}

ul.custom-pagination-style-1 {
    display: flex;
    justify-content: center;
    list-style: none;
    padding: 0;
}

ul.custom-pagination-style-1 li {
    margin-right: 5px; /* Adjust the margin as needed */
}

ul.custom-pagination-style-1 li:last-child {
    margin-right: 0;
}

.portfolioItems{
    position: relative;
    height:auto !important;
}

.blog-slider-container img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

.footer-a{
     color: #E8DDBD !important;
}

.nothing_to_show p{
    color: #db5252;
    font-size: 20px;
    font-weight: 500;
    text-align: center;
}

.three-line-clamp {
  display: -webkit-box;
  -webkit-line-clamp: 3;       /* number of lines to show */
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
}

.one-line-clamp {
  white-space: nowrap;        /* Force one line */
  overflow: hidden;
  text-overflow: ellipsis;   
}

.one-line-clamp a {
  text-decoration: none;
  color: #000;
}
